<template>
	<view class="PayStatus">
		<image class="payStatusImg" :src="success?'/static/imgs/paySuccess.png':'/static/imgs/payFail.png'"
			mode="widthFix" />
		<view class="payTitle">{{success?'支付成功':'支付失败'}}</view>
		<view class="payDes">{{success?'您已支付完成，订单稍后配送':'吼吼，您的支付未完成'}}</view>
		<view class="payBackCheck">
			<!-- <view class="check" v-if='success' @click="check">查看权证</view> -->
			<view class="back" @click="back">返回首页</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				success: false, // 支付失败false 支付成功true
			};
		},
		onLoad(e) {
			if (e.success === 'true') {
				uni.setNavigationBarTitle({
					title: '支付成功'
				})
				this.success = true
			} else {
				uni.setNavigationBarTitle({
					title: '支付失败'
				})
				this.success = false
			}
		},
		methods: {
			check() {
				uni.reLaunch({
					url: '/pages/property/order/numberWeight'
				})
			},
			back() {
				uni.reLaunch({
					url: '/pages/equity/index'
				})
			}
		}
	}
</script>

<style lang="scss" scoped>
	.PayStatus {
		width: 100%;
		min-height: 100vh;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: flex-start;
		box-sizing: border-box;

		.payStatusImg {
			width: 300rpx;
			padding: 50rpx 0;
			margin-top: 100rpx;
		}

		.payTitle {
			font-size: 34rpx;
			font-weight: bold;
			color: #353535;
		}

		.payDes {
			font-size: 26rpx;
			color: #666;
			padding: 20rpx;
			margin-bottom: 30rpx;
		}

		.payBackCheck {
			display: flex;
			flex-direction: row;
			align-items: center;
			justify-content: space-around;
			box-sizing: border-box;
			font-size: 28rpx;
			width: 100%;

			.check {
				border: $mian-color solid 1rpx;
				color: $mian-color;
				padding: 14rpx 50rpx;
				border-radius: 4rpx;
			}

			.back {
				background-color: $mian-color;
				color: #fff;
				padding: 14rpx 50rpx;
				border-radius: 4rpx;
			}
		}
	}
</style>
